#include    "mbed.h"
#include    "target_table.h"

target_param    target_table[]  = {
    { "unknown ttarget",        0xFFFFFFFF, 1024,    4096 },
    { "LPC1114FN28(FDH28)/102", 0x0A40902B, 4096,   32768 },
//    { "** TESTLPC1114FN28 **",  0x1A40902B, 1024,    4096 },
    { "LPC1114FN28(FDH28)/102", 0x1A40902B, 4096,   32768 },
    { "LPC810M021FN8",          0x00008100, 1024,    4096 },
    { "LPC811M001JDH16",        0x00008110, 2048,    8192 },
    { "LPC812M101JDH16",        0x00008120, 4096,   16384 },
    { "LPC812M101JD20",         0x00008121, 4096,   16384 },
    { "LPC812M101JDH20",        0x00008122, 4096,   16384 },
};

target_param *find_target_param( char *device_id_string )
{
    int     id;
    
    id  = atoi( device_id_string );
    
    for ( int i = 1; i < (sizeof( target_table ) / sizeof( target_param )); i++ )
    {
        if ( id == target_table[ i ].id )
            return ( &(target_table[ i ]) );
    }
    
    return ( target_table );
}
